<div class="container-fluid">
  <div class="col-md-12">
    <div class="box">
      <div class="box-header with-border">
        <div class="row">
          <div class="col-sm-6">
            <h3 class="box-title">Periodic Payment Type</h3>
          </div>
          <div class="col-sm-4 fa-pull-right">
            <div class="ui-inputgroup">
              <input type="text"
                     pInputText placeholder="Search Expense Type"
                     [(ngModel)]="periodicPaymentType">
              <button pButton type="button"
                      label="Search"
                      (click)="searchPeriodicPayment(periodicPaymentType)">
              </button>
            </div>
          </div>
          <div class="col-sm-2">
            <button class="btn btn-success btn-xs"
                    (click)="addEditPeriodicPaymentType('Add', null)">
              Add New Payment Type
            </button>
          </div>
        </div>
      </div>
      <!-- /.box-header -->
      <div class="box-body">
        <p-table id="exportTable"
                 class="text-left"
                 [columns]="columnName"
                 [value]="(data$)"
                 [resizableColumns]="true"
                 [autoLayout]="true"
                 [paginator]="true"
                 [rows]="25"
                 [showCurrentPageReport]="true">

          <ng-template pTemplate="caption">
            List of Periodic Payment Types
            :&nbsp;{{ totalRecords }}
          </ng-template>
          <ng-template pTemplate="header" let-columns>
            <tr>
              <th *ngFor="let col of columns" [pSortableColumn]="col.value">
                {{col.name}}
                <p-sortIcon [field]="col.value"></p-sortIcon>
              </th>
            </tr>
          </ng-template>

          <ng-template pTemplate="body" let-list let-i="rowIndex">
            <tr [ngStyle]="{'background-color':i%2 === 0 ? '#fafafa' : '#e9ecef'}">
              <td>{{ i + 1}}</td>
              <td>{{ list.createdDate  | date: 'MMM d, y, h:mm:ss a'}}</td>
              <td>{{ list.expenseName }}</td>
              <td>{{ list.period}}</td>
<!--              <td>{{ list.accountHead}}</td>-->
              <td>
                <p-inputSwitch
                  [name]="list.status"
                  [inputId]="list.status"
                  (onChange)="handleChange($event, list.periodicExpenseId)"
                  [ngModel]="list.status === 'ACTIVE'? true: false ">
                </p-inputSwitch>
              </td>
              <td>
                <a (click)="addEditPeriodicPaymentType('Edit', list)">
                  <svg class="bi bi-pencil-square"
                       width="1em"
                       height="1em"
                       viewBox="0 0 16 16"
                       fill="currentColor"
                       xmlns="http://www.w3.org/2000/svg">
                    <path d="M15.502 1.94a.5.5 0 0 1 0 .706L14.459 3.69l-2-2L13.502.646a.5.5 0 0 1 .707 0l1.293 1.293zm-1.75 2.456l-2-2L4.939 9.21a.5.5 0 0 0-.121.196l-.805 2.414a.25.25 0 0 0 .316.316l2.414-.805a.5.5 0 0 0 .196-.12l6.813-6.814z"/>
                    <path fill-rule="evenodd" d="M1 13.5A1.5 1.5 0 0 0 2.5 15h11a1.5 1.5 0 0 0 1.5-1.5v-6a.5.5 0 0 0-1 0v6a.5.5 0 0 1-.5.5h-11a.5.5 0 0 1-.5-.5v-11a.5.5 0 0 1 .5-.5H9a.5.5 0 0 0 0-1H2.5A1.5 1.5 0 0 0 1 2.5v11z"/>
                  </svg>
                </a>
              </td>
              <td>
                <button class="btn btn-success btn-xs"
                        [routerLink]="['/periodic/payments', list.periodicExpenseId]">
                  Process <i class=" pi pi-arrow-circle-right"></i>
                </button>
              </td>
            </tr>
          </ng-template>
        </p-table>
      </div>
      <div class="box-footer">
      </div>
    </div>
  </div>
</div>



<p-dialog [(visible)]="display"
          [modal]="true"
          [responsive]="true"
          [maximizable]="true"
          [baseZIndex]="100000"
          [style]="{width: '490px', height: 'auto'}">
  <p-header>
    {{addEditType}} Periodic Payment Type
  </p-header>
  <form [formGroup]="addEditPeriodicPaymentTypeForm">
    <div class="form-group">
      <label for="name">Name<span class="required">*</span></label>
      <input type="text"
             class="form-control"
             id="name"
             placeholder="Enter Periodic Payment Type Name"
             formControlName="name"
             [ngClass]="{ 'is-invalid': submitted && f.name.errors }"
             required
      >
      <div *ngIf="submitted && f.name.errors" class="invalid-feedback">
        <div *ngIf="f.name.errors.required">Name is Required.</div>
      </div>
    </div>

<!--    <div class="form-group">-->
<!--      <label for="accountHead">Account Head<span class="required">*</span></label>-->
<!--      <select id="accountHead"-->
<!--              class="form-control"-->
<!--              formControlName="accountHeadId"-->
<!--              name="accountHead"-->
<!--              [ngClass]="{ 'is-invalid': submitted && f.accountHeadId.errors }"-->
<!--              required-->
<!--      >-->
<!--        <option *ngFor="let event of (accountHeads); let i = index"-->
<!--                [ngValue]="(accountHeads)[i].accountHeadId"-->
<!--        >{{(accountHeads)[i].description }}</option>-->
<!--      </select>-->
<!--      <div *ngIf="submitted && f.accountHeadId.errors" class="invalid-feedback">-->
<!--        <div *ngIf="f.accountHeadId.errors.required">Account Head is Required.</div>-->
<!--      </div>-->
<!--    </div>-->
    <div class="form-group">
      <label for="period">Period<span class="required">*</span></label>
      <select id="period"
              class="form-control"
              name="period"
              formControlName="period"
              [ngClass]="{ 'is-invalid': submitted && f.period.errors }"
              required
      >
        <option *ngFor="let event of (periods); let i = index"
                [ngValue]="(periods)[i]"
        >{{ (periods)[i] }}</option>
      </select>
      <div *ngIf="submitted && f.period.errors" class="invalid-feedback">
        <div *ngIf="f.period.errors.required">Period is Required.</div>
      </div>
    </div>
    <p-footer>
      <div class="row">
        <div class="col-sm-6">
          <button class="btn btn-danger btn-block"
                  (click)="cancel()">
            Cancel
          </button>
        </div>
        <div class="col-sm-6">
          <button class="btn btn-success btn-block"
                  [disabled]="loading"
                  (click)="submit()"
                  type="submit">
            <span *ngIf="loading" class="spinner-border spinner-border-sm mr-1"></span>
            Submit</button>
        </div>
      </div>
    </p-footer>
  </form>
</p-dialog>
